# Cinder

# cinder::qtime::MovieGl::Obj Struct Reference

`#include <QuickTime.h>`

Inherits cinder::qtime::MovieBase::Obj.

List of all members.

## Public Member Functions
| Obj ()
| ~Obj ()
virtual void | releaseFrame ()
virtual void | newFrame (CVImageBufferRef cvImage)
void | prepareForDestruction ()
void | lock ()
void | unlock ()
## Public Attributes
gl::Texture | mTexture
gl::TextureCache | mTextureCache
int32_t | mWidth
int32_t | mHeight
int32_t | mFrameCount
float | mDuration
bool | mLoaded
bool | mPlayable
bool | mPlayingForward
bool | mLoop
bool | mPalindrome
QTAudioFrequencyLevels * | mFFTData
FourCharCode | mFFTFourCharCode
uint32_t | mFFTNumBandLevels
uint32_t | mFFTNumChannels
QTVisualContextRef | mVisualContext
::Movie | mMovie
void(* | mNewFrameCallback )(long timeValue, void *refcon)
void * | mNewFrameCallbackRefcon
std::mutex | mMutex
DataSourceRef | mDataSource

## Constructor & Destructor Documentation

cinder::qtime::MovieGl::Obj::Obj | ( |  | ) |

Reimplemented from cinder::qtime::MovieBase::Obj.

cinder::qtime::MovieGl::Obj::~Obj | ( |  | ) | `[virtual]`

Reimplemented from cinder::qtime::MovieBase::Obj.

## Member Function Documentation

void cinder::qtime::MovieGl::Obj::releaseFrame | ( |  | ) | `[virtual]`

Implements cinder::qtime::MovieBase::Obj.

void cinder::qtime::MovieGl::Obj::newFrame | ( | CVImageBufferRef | cvImage | ) | `[virtual]`

Implements cinder::qtime::MovieBase::Obj.

void cinder::qtime::MovieBase::Obj::prepareForDestruction | ( |  | ) | `[inherited]`

void cinder::qtime::MovieBase::Obj::lock | ( |  | ) | `[inherited]`

void cinder::qtime::MovieBase::Obj::unlock | ( |  | ) | `[inherited]`

## Member Data Documentation

gl::Texture cinder::qtime::MovieGl::Obj::mTexture

gl::TextureCache cinder::qtime::MovieGl::Obj::mTextureCache

int32_t cinder::qtime::MovieBase::Obj::mWidth`[inherited]`

int32_t cinder::qtime::MovieBase::Obj::mHeight`[inherited]`

int32_t cinder::qtime::MovieBase::Obj::mFrameCount`[inherited]`

float cinder::qtime::MovieBase::Obj::mDuration`[inherited]`

bool cinder::qtime::MovieBase::Obj::mLoaded`[inherited]`

bool cinder::qtime::MovieBase::Obj::mPlayable`[inherited]`

bool cinder::qtime::MovieBase::Obj::mPlayingForward`[inherited]`

bool cinder::qtime::MovieBase::Obj::mLoop`[inherited]`

bool cinder::qtime::MovieBase::Obj::mPalindrome`[inherited]`

QTAudioFrequencyLevels* cinder::qtime::MovieBase::Obj::mFFTData`[inherited]`

FourCharCode cinder::qtime::MovieBase::Obj::mFFTFourCharCode`[inherited]`

uint32_t cinder::qtime::MovieBase::Obj::mFFTNumBandLevels`[inherited]`

uint32_t cinder::qtime::MovieBase::Obj::mFFTNumChannels`[inherited]`

QTVisualContextRef cinder::qtime::MovieBase::Obj::mVisualContext`[inherited]`

::Movie cinder::qtime::MovieBase::Obj::mMovie`[inherited]`

void(* cinder::qtime::MovieBase::Obj::mNewFrameCallback)(long timeValue, void *refcon)`[inherited]`

void* cinder::qtime::MovieBase::Obj::mNewFrameCallbackRefcon`[inherited]`

std::mutex cinder::qtime::MovieBase::Obj::mMutex`[inherited]`

DataSourceRef cinder::qtime::MovieBase::Obj::mDataSource`[inherited]`

The documentation for this struct was generated from the following files:

- include/cinder/qtime/QuickTime.h
- src/cinder/qtime/QuickTime.cpp